;InnoSetupVersion=5.1.2

[Setup]
AppName=Viewer 4.0
AppVerName=Viewer 4.0
AppId=Viewer 4.0
DefaultDirName={pf}\Viewer
DefaultGroupName=Viewer
UninstallDisplayIcon={app}\Viewer.exe
OutputBaseFilename=ViewerSetup
Compression=lzma
PrivilegesRequired=poweruser
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Viewer.exe"; DestDir: "{app}"; MinVersion: 5.0,5.0; 
Source: "{app}\SlideShow.exe"; DestDir: "{app}"; MinVersion: 5.0,5.0; 
Source: "{app}\Viewer.chm"; DestDir: "{app}"; MinVersion: 5.0,5.0; 
Source: "{app}\Readme_Viewer.txt"; DestDir: "{app}"; MinVersion: 5.0,5.0; 
Source: "{app}\Readme_SlideShow.txt"; DestDir: "{app}"; MinVersion: 5.0,5.0; 
Source: "{app}\License.txt"; DestDir: "{app}"; MinVersion: 5.0,5.0; 

[Registry]
Root: HKCU; Subkey: "Software\Viewer"; MinVersion: 5.0,5.0; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Viewer\MRU"; MinVersion: 5.0,5.0; Flags: uninsdeletekey 

[Run]
Filename: "{app}\Readme_SlideShow.txt"; MinVersion: 5.0,5.0; Flags: shellexec skipifdoesntexist postinstall skipifsilent nowait
Filename: "{app}\Readme_Viewer.txt"; MinVersion: 5.0,5.0; Flags: shellexec skipifdoesntexist postinstall skipifsilent nowait

[Icons]
Name: "{group}\Viewer 4.0"; Filename: "{app}\Viewer.exe"; WorkingDir: "{app}"; MinVersion: 5.0,5.0; 
Name: "{group}\Viewer 4.0 - Slide Show"; Filename: "{app}\SlideShow.exe"; WorkingDir: "{app}"; MinVersion: 5.0,5.0; 
Name: "{group}\Uninstall Viewer"; Filename: "{app}\Unins000.exe"; MinVersion: 5.0,5.0; 
Name: "{group}\Viewer & Slide Show Help"; Filename: "{app}\Viewer.chm"; WorkingDir: "{app}"; MinVersion: 5.0,5.0; 
Name: "{group}\Viewer - Readme"; Filename: "{app}\Readme_Viewer.txt"; MinVersion: 5.0,5.0; 
Name: "{group}\Slide Show - Readme"; Filename: "{app}\Readme_SlideShow.txt"; MinVersion: 5.0,5.0; 
Name: "{userdesktop}\Viewer 4.0"; Filename: "{app}\Viewer.exe"; WorkingDir: "{app}"; Tasks: viewerdesktopicon; MinVersion: 5.0,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Viewer 4.0"; Filename: "{app}\Viewer.exe"; WorkingDir: "{app}"; Tasks: viewerquicklaunchicon; MinVersion: 5.0,5.0; 
Name: "{userdesktop}\Viewer 4.0 - Slide Show"; Filename: "{app}\SlideShow.exe"; WorkingDir: "{app}"; Tasks: slideshowdesktopicon; MinVersion: 5.0,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Viewer 4.0 - Slide Show"; Filename: "{app}\SlideShow.exe"; WorkingDir: "{app}"; Tasks: slideshowquicklaunchicon; MinVersion: 5.0,5.0; 

[Tasks]
Name: "viewerdesktopicon"; Description: "Create a Viewer 4.0 , &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 5.0,5.0; 
Name: "viewerquicklaunchicon"; Description: "Create a Viewer 4.0 , &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 5.0,5.0; 
Name: "slideshowdesktopicon"; Description: "Create a Viewer 4.0 - Slide Show , &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 5.0,5.0; 
Name: "slideshowquicklaunchicon"; Description: "Create a Viewer 4.0 - Slide Show , &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 5.0,5.0; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\CustomShow.txt"; 
Type: filesandordirs; Name: "{app}\SlideShow.ini"; 
Type: filesandordirs; Name: "{app}\Settings.cfg"; 
Type: filesandordirs; Name: "{app}\Viewer.ini"; 
Type: filesandordirs; Name: "{app}\Cache\*.*"; 
Type: filesandordirs; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
